Loading...
Searching...
No Matches
field_sliced_const_iterator< InputIterator >

## Detailed Description

template<class InputIterator>
class rheolef::details::field_sliced_const_iterator< InputIterator >

Definition at line 43 of file field_wdof_sliced.h.

Inheritance diagram for field_sliced_const_iterator< InputIterator >:

## Public Types

using | iterator_category = std::forward_iterator_tag
using | size_type = std::size_t
using | value_type = typename std::iterator_traits< InputIterator >::value_type
using | reference = const value_type &
using | pointer = const value_type *
using | difference_type = std::ptrdiff_t
using | self_type = field_sliced_const_iterator< InputIterator >

## Public Member Functions

| field_sliced_const_iterator ()=delete
| field_sliced_const_iterator (InputIterator iter, size_type incr)
template<class OutputIterator >
| field_sliced_const_iterator (field_sliced_iterator< OutputIterator > i)
reference | operator* () const
reference | operator[] (size_type n) const
self_type & | operator++ ()
self_type | operator++ (int)
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
bool | operator== (const self_type &j) const
bool | operator!= (const self_type &j) const

## Public Attributes

InputIterator | _iter
size_type | _incr

## Member Typedef Documentation

## iterator_category

template<class InputIterator >

using iterator_category = std::forward_iterator_tag

Definition at line 48 of file field_wdof_sliced.h.

## size_type

template<class InputIterator >

using size_type = std::size_t

Definition at line 49 of file field_wdof_sliced.h.

## value_type

template<class InputIterator >

using value_type = typename std::iterator_traits<InputIterator>::value_type

Definition at line 50 of file field_wdof_sliced.h.

## reference

template<class InputIterator >

using reference = const value_type&

Definition at line 51 of file field_wdof_sliced.h.

## pointer

template<class InputIterator >

using pointer = const value_type*

Definition at line 52 of file field_wdof_sliced.h.

## difference_type

template<class InputIterator >

using difference_type = std::ptrdiff_t

Definition at line 53 of file field_wdof_sliced.h.

## self_type

template<class InputIterator >

using self_type = field_sliced_const_iterator<InputIterator>

Definition at line 54 of file field_wdof_sliced.h.

## Constructor & Destructor Documentation

## field_sliced_const_iterator() [1/3]

template<class InputIterator >

field_sliced_const_iterator | ( |  | ) |

delete

## field_sliced_const_iterator() [2/3]

template<class InputIterator >

field_sliced_const_iterator | ( | InputIterator | iter,
|  | size_type | incr
| ) |  |

Definition at line 59 of file field_wdof_sliced.h.

## field_sliced_const_iterator() [3/3]

template<class InputIterator >
template<class OutputIterator >

field_sliced_const_iterator | ( | field_sliced_iterator< OutputIterator > | i | ) |

Definition at line 61 of file field_wdof_sliced.h.

## Member Function Documentation

## operator*()

template<class InputIterator >

reference operator* | ( |  | ) | const

Definition at line 65 of file field_wdof_sliced.h.

## operator[]()

template<class InputIterator >

reference operator[] | ( | size_type | n | ) | const

Definition at line 66 of file field_wdof_sliced.h.

## operator++() [1/2]

template<class InputIterator >

self_type & operator++ | ( |  | ) |

Definition at line 68 of file field_wdof_sliced.h.

## operator++() [2/2]

template<class InputIterator >

self_type operator++ | ( | int |  | ) |

Definition at line 69 of file field_wdof_sliced.h.

## operator+=()

template<class InputIterator >

self_type & operator+= | ( | difference_type | n | ) |

Definition at line 70 of file field_wdof_sliced.h.

## operator+()

template<class InputIterator >

self_type operator+ | ( | difference_type | n | ) | const

Definition at line 71 of file field_wdof_sliced.h.

## operator==()

template<class InputIterator >

bool operator== | ( | const self_type & | j | ) | const

Definition at line 75 of file field_wdof_sliced.h.

## operator!=()

template<class InputIterator >

bool operator!= | ( | const self_type & | j | ) | const

Definition at line 76 of file field_wdof_sliced.h.

## Member Data Documentation

## _iter

template<class InputIterator >

InputIterator _iter

Definition at line 79 of file field_wdof_sliced.h.

## _incr

template<class InputIterator >

size_type _incr

Definition at line 80 of file field_wdof_sliced.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_wdof_sliced.h